===========================================================================
                            Release Notes
===========================================================================

This package contains firmware for the following products.
The part number is listed in shorthand notation, so, for example,
00441-2 means 73-30130-00441-2.


 * Kvaser BlackBird:
      Kvaser BlackBird SemiPro HS                    00441-2
                                                     00629-4
      Kvaser BlackBird SemiPro HS/HS                 00453-5
      Kvaser BlackBird SemiPro 3xHS                  00446-7

 * Kvaser Leaf:
      Kvaser Leaf Light HS                           00241-8
                                                     00400-9
                                                     00402-3
                                                     00518-1
                                                     00519-8
                                                     00642-3
      Kvaser Leaf Light HS Galvanical Isolation      00411-5
                                                     00568-6
      Kvaser Leaf Light Rugged HS                    00427-6
      Kvaser Leaf Light HS China                     00435-1
      Kvaser Leaf SemiPro LS                         00261-6
                                                     00521-1
      Kvaser Leaf SemiPro HS                         00242-5
                                                     00403-0
                                                     00506-8
      Kvaser Leaf SemiPro SWC                        00264-7
      Kvaser Leaf Professional LS                    00260-9
      Kvaser Leaf Professional HS                    00243-2
                                                     00404-7
                                                     00509-9
      Kvaser Leaf Professional SWC                   00262-3
      Kvaser Leaf Professional LIN                   00269-2

 * Kvaser Memorator Professional: 
      Kvaser Memorator Professional HS/HS            00351-4
      Kvaser Memorator R SemiPro HS/HS               00490-0 
      Kvaser Memorator Professional HS/LS            00417-7
      Kvaser Memorator Professional CB               00581-5

 * Kvaser Memorator Light: 
      Kvaser Memorator Light HS                      00513-6

 * Kvaser USBcan Professional:
      Kvaser USBcan Professional HS/HS               00357-6
         Same product with RJ45 connectors:          00413-9
      Kvaser USBcan Pro SHS/HS                       00571-6
      Kvaser USBcan Pro SHS/SHS                      00572-3 
      Kvaser USBcan R                                00579-2 
      
 * Kvaser CAN and K-line:
      Kvaser CAN and K-line                          00676-8

 * The following OEM products:
      00527-3
      00536-5
      00542-6


If you upgrade the firmware, we strongly recommend that you also 
upgrade the driver.

For Kvaser Leaf Professional LIN, please note that the firmware for
the second processor in this device is updated with a separate
program. It is not contained in this package.


New Features and Fixed Problems in V4.35.372  (14-JUN-2026)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.34.358  (31-MAY-2026)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.33.256  (18-FEB-2026)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.32.107  (22-SEP-2025)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.31.762  (21-MAY-2025)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.30.669  (17-FEB-2025)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.29.586  (26-NOV-2024)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.28.517  (18-SEP-2024)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.27.398  (22-MAY-2024)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.26.304  (18-FEB-2024)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.25.946  (13-SEP-2023)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.24.815  (05-MAY-2023)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.23.576  (09-SEP-2022)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.22.474  (30-MAY-2022)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.21.371  (15-FEB-2022)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.20.216  (14-SEP-2021)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.19.105  (25-MAY-2021)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.18.991  (17-FEB-2021)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.17.831  (09-SEP-2020)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.16.726  (27-MAY-2020)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.15.671  (02-APR-2020)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.14.633  (24-FEB-2020)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.13.494  (08-OCT-2019)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.12.469  (13-SEP-2019)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.11.345  (12-MAY-2019)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.10.275  (03-MAR-2019)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.9.178  (26-NOV-2018)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.8.107  (16-SEP-2018)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.7.904  (13-MAY-2018)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.6.814  (12-FEB-2018)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.5.662  (13-SEP-2017)
===========================================================================
* Minor changes.
* Kvaser Memorator Professional: Fixed a bug where a transmit lists with
  zero delay time between messages was sent continuously.

New Features and Fixed Problems in V4.4.585  (28-JUN-2017)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V4.3.531  (05-MAY-2017)
===========================================================================
* Minor changes.
* Fixed bug where some SD cards with broken Master Boot Records could not
  be formatted.

New Features and Fixed Problems in V4.2.452  (15-FEB-2017)
===========================================================================
* Added some new capabilities, can be read via canlib. 
* Fixed bug so that 2-channel interfaces works with capabilities.
* Fixed minor bug where some devices didn't return the correct error counters. 


New Features and Fixed Problems in V4.1.299  (15-SEP-2016)
===========================================================================
* Fixed a USB initialization problem that happened when used together with
  some USB extenders.


New Features and Fixed Problems in V4.0.183  (22-MAY-2016)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.9.101  (01-MAR-2016)
===========================================================================
* Support to read silent mode capability and capabilities mask.


New Features and Fixed Problems in V3.8.937  (15-DEC-2015)
===========================================================================
* Lowered power consumption when going bus on, applicable for 
  Kvaser USBcan R (00579-2) and OEM device (00527-3).


New Features and Fixed Problems in V3.7.852  (21-SEP-2015)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.6.729  (22-MAY-2015)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.5.621  (03-FEB-2015)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.4.494  (29-SEP-2014)
===========================================================================

* canCHANNELDATA_REMOTE_xxx commands return NOT_IMPLEMENTED without long timeout.

* Added missing firmware for Leaf Semipro 403-0 to the bundle

New Features and Fixed Problems in V3.3.320  (08-APR-2014)
===========================================================================
* No changes.


New Features and Fixed Problems in V3.2.302  (21-MAR-2014)
===========================================================================
* No changes.


New Features and Fixed Problems in V3.1.125  (24-SEP-2013)
===========================================================================

* Increased requested USB current to 230 mA for two channel devices

* Adjusted power consumption when going bus on for two channel devices


New Features and Fixed Problems in V3.0.41  (02-JUL-2013)
===========================================================================

* First release for new device type, Kvaser USBcan Pro CAN and K-line (00676-8)


New Features and Fixed Problems in V2.9.995  (21-MAY-2013)
===========================================================================

* Added support for setting a minimum delay between CAN transmissions.
  This feature is accessed through canIOCTL_TX_INTERVAL in canlib.
  Requires canlib 4.10 or later.


New Features and Fixed Problems in V2.8.820  (27-FEB-2013)
===========================================================================

* Timeout when sending object buffer bursts. Could hang memorator 
  professional if transmition was unsuccesful.

* The size of the USB endpoints has been increased to 512 when using USB
  HiSpeed. This was needed to support Linux.
  
* Support for new device type, Kvaser CAN and K-line (00676-8)

* Bug fix for Leaf Professional LIN. Removing delay.

* Added ioctl for scaled usb-throttle. (kcanl)


New Features and Fixed Problems in V2.7.600  (07-SEP-2012)
===========================================================================

* Improved reception of consecutive remoteframes


New Features and Fixed Problems in V2.6.485  (25-MAY-2012)
===========================================================================

* Support for Kvaser Leaf Light with J1939-13 connector (00642-3).

* Kvaser BlackBird: Fixed problem with historical rtt and rssi that 
  oldest value was not always reported first. Rtt values bigger than 
  the ping rate (default 100 ms) are now reported.

* Kvaser BlackBird: Corrected content of QRV reply.

* Support for canCHANNELDATA_REMOTE_OPERATIONAL_MODE

* Support for new hardware revision of 00490-0.


New Features and Fixed Problems in V2.5.205  (16-SEP-2011)
===========================================================================

* Corrected problem with customer data parameters


New Features and Fixed Problems in V2.5.200  (15-SEP-2011)
===========================================================================

* Support for Kvaser BlackBird SemiPro with OBDII connector (00629-4).

* Added support for communication encryption for Kvaser BlackBird.

* Improved checks of bitrate settings.


New Features and Fixed Problems in V2.4.042  (02-MAY-2011)
===========================================================================

* Support for Kvaser USBcan R (00579-2)

* (Kvaser BlackBird) Added command CMD_PING_REQ to support
  new APIs kvPingRequest() and kvPingGetLatest().

* (Kvaser BlackBird) Added support for reporting device name.

* Installation package now uses flash programming software (update.exe
  and filo_flash.dll) from canlib 4.5 instead of 4.3.

* (Kvaser BlackBird) Added time to TCP keep-alive message. Further specified the
  diagnostics information that is passed in TCP keep-alive.

* (Kvaser BlackBird) Removed channel 14 from regulatory domain Japan.

* (Kvaser BlackBird) Fixed (benign) confusion regarding regulatory
  domain numbering so it lines up with the settings in the setup tool.

* (Kvaser BlackBird) Improved network connection stability under some
  circumstances.


New Features and Fixed Problems in V2.3.400  (19-JAN-2011)
===========================================================================

* Added Kvaser Memorator Professional CB (00581-5)

* (Kvaser BlackBird) Improved wireless network scanning during
  configuration in the BlackBirds.

* (All devices) Fixed a rare bug with non-increasing timestamps when
  repeatedly going bus on / bus off. 

* Improved behavior of Kvaser Memorator R SemiPro when using the "time to live" 
  feature in low temperatures or low battery.


New Features and Fixed Problems in V2.2.300  (25-NOV-2010)
===========================================================================

* Fixed a bug when reporting disk info for Kvaser Memorator Professional.

* Improved speed when reading the CAN id from the controller.

* Support for Kvaser Memorator R SemiPro (00490-0)

* IMPORTANT for users of Kvaser Memorator Professional: The "time to
  live" when power is removed during logging is now settable. Earlier
  this time was fixed to 20 seconds. The new default value is 0, and the
  settable range 0-30 seconds. We recommend that this setting be left at
  0 seconds when running any Memorator at low temperatures (below -30
  degrees Centigrade)


New Features and Fixed Problems in V2.1
===========================================================================

This was an internal version and was never publically released.


New Features and Fixed Problems in V2.0.055  (17-DEC-2009)
===========================================================================

* Support for 00568-6 (Kvaser Leaf Light HS Galvanical Isolation)


New Features and Fixed Problems in V2.0.050  (15-OCT-2009)
===========================================================================

* Support for 00571-6 (Kvaser USBcan Pro SHS/HS) and 
  00572-3 (Kvaser USBcan Pro SHS/SHS)

* Kvaser Memorator Professional: the pretrigger time is now measured
  in milliseconds, not sectors.

* Kvaser Memorator Light has changed plug-and-play identifier to force
  driver 4.2 to be used. You will need canlib 4.2 or later to use
  Kvaser Memorator Light.


New Features and Fixed Problems in V1.9.950  (1-JUN-2009)
===========================================================================

* IMPORTANT for Kvaser Blackbird setup program: In this release
  changes were made that will require at least canlib 4.1a. Older driver
  and setup software will not work. Also note that old configurations
  can not be read into the setup program. You must recreate the
  configurations.

* Kvaser BlackBird: a couple of minor TCP/IP stack improvements and
  bug fixes.

* Kvaser BlackBird: turned off roaming by default.

* Kvaser BlackBird: Added China as a regulatory domain. 

* Kvaser BlackBird: communication protocol slightly changed to improve
  both latency and throughput.


New Features and Fixed Problems in V1.8.765  (6-MAY-2009)
===========================================================================

* Support for OEM device 00536-5.

* Kvaser Memorator can now properly handle certain SD disks from Delkin.
 
* All devices: Firmware now clears timeOffset in error frame log
  messages. This used to be random, so the fix improves the accuracy of
  the time stamps for error frames.
 
* All devices: When in full speed, only use one USB configuration.
  This improves compability with certain computers running Windows CE.

* Kvaser Memorator: Fixed bug in when receiving messages sent from a
  transmit list. Earlier implementation would write an incorrect CAN
  identifier to the log file.

* Kvaser Memorator now turns off battery supply while waiting for USB
  configuration to finish.  This prevents a possible battery drain under
  certain rare conditions.


New Features and Fixed Problems in V1.8.760  (28-APR-2009)
===========================================================================

* Support for OEM device 00527-3.


New Features and Fixed Problems in V1.8.751  (30-MAR-2009)
===========================================================================

* Fixed firmware update problem for Kvaser Blackbird. This was a problem
  in the updater DLL; the firmware itself is identical to 1.8.750.


New Features and Fixed Problems in V1.8.750  (15-MAR-2009)
===========================================================================

* Support for Kvaser Memorator Light.

* Corrected a possible bug in auto tx buffers, for devices that
  support such buffers (that is the Professional devices). Old flags
  could be used when sending a newly setup message.

* Kvaser BlackBird: fixed a bug that would introduce an extra delay
  of several hundred milliseconds under certain circumstances.


New Features and Fixed Problems in V1.8.749  (26-FEB-2009)
===========================================================================

* This firmware version is released only to support P/N 00521-1.


New Features and Fixed Problems in V1.7.313  (20-JAN-2009)
===========================================================================

* Support for new device types, Kvaser Leaf Light HS (00518-1), Kvaser
  Leaf SemiPro Rugged HS (00506-8) and Kvaser Leaf Professional Rugged HS
  (00509-9). No changes or bug fixes that are applicable to other products.


New Features and Fixed Problems in V1.7.300  (4-SEP-2008)
===========================================================================

* Kvaser BlackBird: Fixed connection problems in ad-hoc network mode
  that happened with certain Intel WLAN chipsets (3945abg). 

* Kvaser BlackBird: Updated radio module firmware.


New Features and Fixed Problems in V1.7.265  (27-MAY-2008)
===========================================================================

* Fixed a problem where Kvaser Memorator Professional HS/LS would
  report spurious NERRs when going bus on.


New Features and Fixed Problems in V1.6.250  (15-MAY-2008)
===========================================================================

* Support for Kvaser BlackBird SemiPro 3xHS. Note that the bus load
  isn't properly reported for the third channel in this release. This is
  a hardware limitation, but we expect to provide an approximate bus
  load calculation in a later version of the firmware and driver.


New Features and Fixed Problems in V1.5.200  (21-APR-2008)
===========================================================================

* Support for Kvaser BlackBird SemiPro HS, and HS/HS.

* Kvaser Memorator Professional: This firmware implements a new log
  file system that allows for unlimited FIFO sizes and support for 8GB
  and 16GB disks.



New Features and Fixed Problems in V1.3.950  (07-JAN-2008)
===========================================================================

* Support for new device types, Kvaser Leaf Light HS China (00435-1)
  and Kvaser Leaf Light Rugged HS (00427-6). No changes or bug fixes
  that are applicable to other products.



New Features and Fixed Problems in V1.3.941  (07-SEP-2007)
===========================================================================

* Kvaser Memorator Professional and Kvaser USBcan Professional
  o  New test routines used during production.
  o  No new features added, no need to update.



New Features and Fixed Problems in V1.3.768  (19-MAR-2007)
===========================================================================

* Support for Kvaser USBcan Professional and a few new variants
  of the Kvaser Leaf.

* (Kvaser Memorator Professional) 
  o  Support for Kvaser Linx.
  o  Support for SDHC disks. 
  o  The currently maximum disk size is raised from 2 GB to 4 GB.
  o  Support for automatic transmit lists and advanced triggers.



New Features and Fixed Problems in V1.2.635  (5-NOV-2006)
===========================================================================

* Support for Kvaser Memorator Professional.

* The change of USB endpoint size introduced with beta version 1.2.469
  (see below) has been reworked and is used only with the Linux drivers.
  In the Windows environment, nothing has changed compared to firmware
  version 1.1.



New Features and Fixed Problems in V1.2.469  (Beta released 23-MAY-2006)
===========================================================================

* The size of the USB endpoints has been increased when using USB
  HiSpeed. This was needed to support Linux.



New Features and Fixed Problems in V1.1  (28-JUL-2005)
===========================================================================

* This is a new release. If you have a beta release or the 1.0
  firmware, then you must upgrade to 1.1.  The Windows driver will not
  work with 1.0 firmware (only upgrading will be possible).

* Fixed bug (compared to 1.0) that caused false detection of WAKEUP
  frames under some circumstances.

